#
# spec file for package python-testscenarios
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-testscenarios
Version:        0.5.0
Release:        5.2
Url:            https://launchpad.net/testscenarios
Summary:        Testscenarios, a pyunit extension for dependency injection
License:        Apache-2.0 or BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/t/testscenarios/testscenarios-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-pbr >= 0.11
BuildRequires:  python-testtools
# Test requirements:
BuildRequires:  python-extras
BuildRequires:  python-nose
Requires:       python-pbr >= 0.11
Requires:       python-testtools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
testscenarios provides clean dependency injection for python unittest style
tests. This can be used for interface testing (testing many implementations via
a single test suite) or for classic dependency injection (provide tests with
dependencies externally to the test code itself, allowing easy testing in
different situations).

%prep
%setup -q -n testscenarios-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

#NOTE(saschpe): /usr/bin/make missing on SP2?
%if 0%{?suse_version} >= 1120
%check
make check
%endif

%files
%defattr(-,root,root,-)
%doc Apache-2.0 BSD COPYING GOALS HACKING NEWS README
%{python_sitelib}/*

%changelog
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 0.5.0:
  * Tests fixed for Python 3.3, 3.4, 3.5. (Robert Collins)
- add new build dependency python-pbr
- add new runtime dependencies python-pbr and python-testtools
* Mon May  6 2013 speilicke@suse.com
- Properly run testsuite, but not (currently) on SLE_11_SP2
* Thu May  2 2013 speilicke@suse.com
- Update to version 0.4:
  + Python 3.2 support added. (Robert Collins)
* Fri Apr  6 2012 jfunk@funktronics.ca
- Update to 0.3:
  * New function per_module_scenarios for tests that should be applied across
    multiple modules providing the same interface, some of which may not be
    available at run time. (Martin Pool)
  * TestWithScenarios is now backed by a mixin - WithScenarios - which can be
    mixed into different unittest implementations more cleanly (e.g.
    unittest2). (James Polley, Robert Collins)
- Recreate spec with current conventions
* Sat Apr 16 2011 jfunk@funktronics.ca
- Initial release
